"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.postForm = void 0;
const https_1 = require("https");
function sendRequest(options, formData) {
    return new Promise((resolve, reject) => {
        const req = (0, https_1.request)(options);
        formData.pipe(req);
        req.on('response', (res) => {
            const chunks = [];
            res.on('data', (chunk) => chunks.push(chunk));
            res.on('end', () => {
                const data = Buffer.concat(chunks).toString();
                if (res.statusCode === 202 || res.statusCode === 200) {
                    resolve(data);
                }
                else {
                    reject(data);
                }
            });
            res.on('error', (error) => {
                reject(error);
            });
        });
        req.on('error', (error) => {
            reject(error);
        });
        req.end();
    });
}
function postForm(options, formData) {
    options.method = 'POST';
    options.headers = formData.getHeaders();
    return sendRequest(options, formData);
}
exports.postForm = postForm;
